var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Copyright (c) 2016-present, NDLA.
 *
 * This source code is licensed under the GPLv3 license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import Tabs from 'ndla-tabs';

var VideoTabs = function (_Component) {
  _inherits(VideoTabs, _Component);

  function VideoTabs(props) {
    _classCallCheck(this, VideoTabs);

    var _this = _possibleConstructorReturn(this, (VideoTabs.__proto__ || Object.getPrototypeOf(VideoTabs)).call(this, props));

    _this.handleOnSelect = _this.handleOnSelect.bind(_this);
    return _this;
  }

  _createClass(VideoTabs, [{
    key: 'handleOnSelect',
    value: function handleOnSelect(index, last) {
      var _props = this.props,
          onSearchTypeChange = _props.onSearchTypeChange,
          tabs = _props.tabs;

      if (index !== last) {
        onSearchTypeChange(tabs[index].title.toLowerCase());
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var tabs = this.props.tabs;


      return React.createElement(Tabs, { onSelect: this.handleOnSelect, tabs: tabs });
    }
  }]);

  return VideoTabs;
}(Component);

VideoTabs.propTypes = {
  searchTypes: PropTypes.string,
  onSearchTypeChange: PropTypes.func.isRequired,
  tabs: PropTypes.arrayOf(PropTypes.shape({
    type: PropTypes.string,
    content: PropTypes.node
  })).isRequired
};

export default VideoTabs;