'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ndlaTabs = require('ndla-tabs');

var _ndlaTabs2 = _interopRequireDefault(_ndlaTabs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * Copyright (c) 2016-present, NDLA.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * This source code is licensed under the GPLv3 license found in the
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * LICENSE file in the root directory of this source tree.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */

var VideoTabs = function (_Component) {
  _inherits(VideoTabs, _Component);

  function VideoTabs(props) {
    _classCallCheck(this, VideoTabs);

    var _this = _possibleConstructorReturn(this, (VideoTabs.__proto__ || Object.getPrototypeOf(VideoTabs)).call(this, props));

    _this.handleOnSelect = _this.handleOnSelect.bind(_this);
    return _this;
  }

  _createClass(VideoTabs, [{
    key: 'handleOnSelect',
    value: function handleOnSelect(index, last) {
      var _props = this.props,
          onSearchTypeChange = _props.onSearchTypeChange,
          tabs = _props.tabs;

      if (index !== last) {
        onSearchTypeChange(tabs[index].title.toLowerCase());
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var tabs = this.props.tabs;


      return _react2.default.createElement(_ndlaTabs2.default, { onSelect: this.handleOnSelect, tabs: tabs });
    }
  }]);

  return VideoTabs;
}(_react.Component);

VideoTabs.propTypes = {
  searchTypes: _propTypes2.default.string,
  onSearchTypeChange: _propTypes2.default.func.isRequired,
  tabs: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    type: _propTypes2.default.string,
    content: _propTypes2.default.node
  })).isRequired
};

exports.default = VideoTabs;